<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: recursiveHierarchSearch.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('recursive_hierarch_search_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">recursiveHierarchSearch.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;bsoncxx/builder/basic/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/array.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/document.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/types.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/stdx/string_view.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/json.hpp&gt;</code><br />
<code>#include &lt;bsoncxx/document/value.hpp&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for recursiveHierarchSearch.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp__incl.png" border="0" usemap="#recursive_hierarch_search_8hpp" alt=""/></div>
<map name="recursive_hierarch_search_8hpp" id="recursive_hierarch_search_8hpp">
<area shape="rect" title=" " alt="" coords="846,5,1055,32"/>
<area shape="rect" title=" " alt="" coords="5,80,168,121"/>
<area shape="rect" title=" " alt="" coords="192,80,355,121"/>
<area shape="rect" title=" " alt="" coords="379,80,541,121"/>
<area shape="rect" title=" " alt="" coords="566,80,741,121"/>
<area shape="rect" title=" " alt="" coords="765,80,939,121"/>
<area shape="rect" title=" " alt="" coords="963,80,1138,121"/>
<area shape="rect" title=" " alt="" coords="1163,87,1307,114"/>
<area shape="rect" title=" " alt="" coords="1331,80,1480,121"/>
<area shape="rect" title=" " alt="" coords="1505,87,1639,114"/>
<area shape="rect" title=" " alt="" coords="1664,87,1877,114"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp__dep__incl.png" border="0" usemap="#recursive_hierarch_search_8hppdep" alt=""/></div>
<map name="recursive_hierarch_search_8hppdep" id="recursive_hierarch_search_8hppdep">
<area shape="rect" title=" " alt="" coords="267,5,476,32"/>
<area shape="rect" href="create_calibration_structs_8hpp.html" title=" " alt="" coords="5,155,212,181"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="377,229,525,271"/>
<area shape="rect" href="create_compu_methods_8hpp.html" title=" " alt="" coords="288,155,481,181"/>
<area shape="rect" href="create_interface_variables_8hpp.html" title=" " alt="" coords="339,80,548,107"/>
<area shape="rect" href="create_phys_to_ecu_conv_8hpp.html" title=" " alt="" coords="572,80,763,107"/>
<area shape="rect" href="create_system_consts_8hpp.html" title=" " alt="" coords="787,80,971,107"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html" title=" " alt="" coords="558,155,774,181"/>
</map>
</div>
</div>
<p><a href="recursive_hierarch_search_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structutf8__document__type.html">utf8_document_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structutf8__document__array__type.html">utf8_document_array_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structchained__utf8doc__array__type.html">chained_utf8doc_array_type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a6c3aafef43e91acd0d2542ea2c5337ac"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac">getNthColumn</a> (std::vector&lt; std::vector&lt; std::string &gt;&gt; matrix, unsigned colNo)</td></tr>
<tr class="separator:a6c3aafef43e91acd0d2542ea2c5337ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae80795e0e8b8d7169f267438db1baa6b"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b">getScalar</a> (std::string AddrStr, std::string attr)</td></tr>
<tr class="separator:ae80795e0e8b8d7169f267438db1baa6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae01709f428082a54dabe6a9f595e311d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structchained__utf8doc__array__type.html">chained_utf8doc_array_type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#ae01709f428082a54dabe6a9f595e311d">getVectorFromJSONStrGeneric</a> (std::string AddrStr, std::string key)</td></tr>
<tr class="separator:ae01709f428082a54dabe6a9f595e311d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e9719d81b3fbb25e5404193e66b94c9"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#a5e9719d81b3fbb25e5404193e66b94c9">getVectorFromJSONStr</a> (std::string AddrStr, std::string key)</td></tr>
<tr class="separator:a5e9719d81b3fbb25e5404193e66b94c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84e7a8d5a78c4f9d483ce3bf66b186ea"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea">getAddrVec</a> (std::string AddrStr)</td></tr>
<tr class="separator:a84e7a8d5a78c4f9d483ce3bf66b186ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7698b98c647502bfaa8d3f5f980a4db6"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6">getValuesVec</a> (std::string AddrStr)</td></tr>
<tr class="separator:a7698b98c647502bfaa8d3f5f980a4db6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50a5034e0f6e6d95d8d2a73f68c88668"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668">recursiveVisitor</a> (bsoncxx::builder::basic::document &amp;MainNode, std::string &amp;ident, std::string name, std::string addr, std::vector&lt; std::string &gt; &amp;name_vec, std::string type)</td></tr>
<tr class="separator:a50a5034e0f6e6d95d8d2a73f68c88668"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae62f4ee8f8889d1dd6ad45a8ec04cdc3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3">visitSWVariables</a> (std::string ident)</td></tr>
<tr class="separator:ae62f4ee8f8889d1dd6ad45a8ec04cdc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a84e7a8d5a78c4f9d483ce3bf66b186ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84e7a8d5a78c4f9d483ce3bf66b186ea">&#9670;&nbsp;</a></span>getAddrVec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getAddrVec </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>AddrStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a84e7a8d5a78c4f9d483ce3bf66b186ea_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a84e7a8d5a78c4f9d483ce3bf66b186ea_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a84e7a8d5a78c4f9d483ce3bf66b186ea_icgraph" id="recursive_hierarch_search_8hpp_a84e7a8d5a78c4f9d483ce3bf66b186ea_icgraph">
<area shape="rect" title=" " alt="" coords="607,100,703,127"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="435,100,559,127"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="251,5,370,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="235,63,387,89"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="245,125,376,152"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="243,188,379,215"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="7,5,185,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="13,63,179,89"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="5,125,187,152"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="21,188,171,215"/>
</map>
</div>

</div>
</div>
<a id="a6c3aafef43e91acd0d2542ea2c5337ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c3aafef43e91acd0d2542ea2c5337ac">&#9670;&nbsp;</a></span>getNthColumn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getNthColumn </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; std::vector&lt; std::string &gt;&gt;&#160;</td>
          <td class="paramname"><em>matrix</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>colNo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a6c3aafef43e91acd0d2542ea2c5337ac_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a6c3aafef43e91acd0d2542ea2c5337ac_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a6c3aafef43e91acd0d2542ea2c5337ac_icgraph" id="recursive_hierarch_search_8hpp_a6c3aafef43e91acd0d2542ea2c5337ac_icgraph">
<area shape="rect" title=" " alt="" coords="1952,936,2068,963"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1729,443,1865,469"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1244,443,1364,469"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="201,417,311,444"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="390,97,590,124"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="1449,784,1641,811"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="1207,1037,1401,1064"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="1055,1088,1105,1115"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4" title=" " alt="" coords="1455,1088,1636,1115"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0" title=" " alt="" coords="1710,885,1883,912"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce" title=" " alt="" coords="1710,936,1883,963"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d" title=" " alt="" coords="1727,987,1866,1013"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="1491,911,1600,937"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="1689,784,1904,811"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="1735,1291,1859,1317"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="1486,1192,1605,1219"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="1469,1249,1621,1276"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="1480,1312,1611,1339"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="1477,1388,1613,1415"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1739,505,1855,532"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="1495,443,1595,469"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1001,291,1159,317"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1028,595,1132,621"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1032,392,1128,419"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1015,443,1145,469"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1037,493,1123,520"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1013,544,1147,571"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="833,296,937,323"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="649,347,759,373"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="5,123,123,149"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="421,249,559,276"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="415,417,565,444"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="389,301,591,342"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="201,97,311,124"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="171,253,341,280"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="817,544,953,571"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="663,549,745,576"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="437,527,543,553"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="639,499,769,525"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="858,1088,913,1115"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="1215,1192,1393,1219"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="1221,1249,1387,1276"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="1213,1312,1395,1339"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="1229,1388,1379,1415"/>
</map>
</div>

</div>
</div>
<a id="ae80795e0e8b8d7169f267438db1baa6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae80795e0e8b8d7169f267438db1baa6b">&#9670;&nbsp;</a></span>getScalar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string getScalar </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>AddrStr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>attr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_ae80795e0e8b8d7169f267438db1baa6b_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_ae80795e0e8b8d7169f267438db1baa6b_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_ae80795e0e8b8d7169f267438db1baa6b_icgraph" id="recursive_hierarch_search_8hpp_ae80795e0e8b8d7169f267438db1baa6b_icgraph">
<area shape="rect" title=" " alt="" coords="952,259,1035,285"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,56,641,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0" title=" " alt="" coords="710,157,883,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce" title=" " alt="" coords="710,208,883,235"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d" title=" " alt="" coords="727,259,866,285"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#aee9904a1a912e7f57e57408a6c686aef" title="End evaluation loop for SW VARIABLE object." alt="" coords="491,107,600,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="689,5,904,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="735,411,859,437"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="486,321,605,348"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="469,379,621,405"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="480,436,611,463"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="477,499,613,525"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,81,401,108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,81,159,108"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,81,60,108"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="215,321,393,348"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="221,379,387,405"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="213,436,395,463"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="229,499,379,525"/>
</map>
</div>

</div>
</div>
<a id="a7698b98c647502bfaa8d3f5f980a4db6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7698b98c647502bfaa8d3f5f980a4db6">&#9670;&nbsp;</a></span>getValuesVec()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getValuesVec </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>AddrStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a7698b98c647502bfaa8d3f5f980a4db6_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a7698b98c647502bfaa8d3f5f980a4db6_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a7698b98c647502bfaa8d3f5f980a4db6_icgraph" id="recursive_hierarch_search_8hpp_a7698b98c647502bfaa8d3f5f980a4db6_icgraph">
<area shape="rect" title=" " alt="" coords="607,81,716,108"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="435,81,559,108"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="251,5,370,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="235,56,387,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="245,107,376,133"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="243,157,379,184"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="7,5,185,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="13,56,179,83"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="5,107,187,133"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="21,157,171,184"/>
</map>
</div>

</div>
</div>
<a id="a5e9719d81b3fbb25e5404193e66b94c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e9719d81b3fbb25e5404193e66b94c9">&#9670;&nbsp;</a></span>getVectorFromJSONStr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; getVectorFromJSONStr </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>AddrStr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a5e9719d81b3fbb25e5404193e66b94c9_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a5e9719d81b3fbb25e5404193e66b94c9_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a5e9719d81b3fbb25e5404193e66b94c9_icgraph" id="recursive_hierarch_search_8hpp_a5e9719d81b3fbb25e5404193e66b94c9_icgraph">
<area shape="rect" title=" " alt="" coords="952,81,1119,108"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ad77b740e08a4a6039c34dbae36b9b0e0" title=" " alt="" coords="710,5,883,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a5e9f4f440a915c7a9fd4764a39c9b4ce" title=" " alt="" coords="710,56,883,83"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a427dfa1149119db1a5ed52bb1da8030d" title=" " alt="" coords="727,107,866,133"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#abc7ed3956e838556863e1cfb56c6a800" title=" " alt="" coords="689,157,904,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,157,641,184"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,157,401,184"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,157,159,184"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,157,60,184"/>
</map>
</div>

</div>
</div>
<a id="ae01709f428082a54dabe6a9f595e311d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae01709f428082a54dabe6a9f595e311d">&#9670;&nbsp;</a></span>getVectorFromJSONStrGeneric()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structchained__utf8doc__array__type.html">chained_utf8doc_array_type</a> getVectorFromJSONStrGeneric </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>AddrStr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_ae01709f428082a54dabe6a9f595e311d_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_ae01709f428082a54dabe6a9f595e311d_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_ae01709f428082a54dabe6a9f595e311d_icgraph" id="recursive_hierarch_search_8hpp_ae01709f428082a54dabe6a9f595e311d_icgraph">
<area shape="rect" title=" " alt="" coords="689,5,907,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3" title=" " alt="" coords="449,5,641,32"/>
<area shape="rect" href="resolve_interface_variables_8hpp.html#a74ff2bdf877ff2c5a6f5d7627972e64a" title=" " alt="" coords="207,5,401,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#af822c4a218482dc59519d9be782b0fd5" title=" " alt="" coords="108,5,159,32"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a217dbf8b442f20279ea00b898af96f52" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<a id="a50a5034e0f6e6d95d8d2a73f68c88668"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50a5034e0f6e6d95d8d2a73f68c88668">&#9670;&nbsp;</a></span>recursiveVisitor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void recursiveVisitor </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>MainNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>ident</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>name_vec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>type</em> = <code>&quot;VARIABLE&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_cgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_cgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_cgraph" id="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,129,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="210,5,319,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="217,56,313,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="207,107,323,133"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="223,157,306,184"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="210,208,319,235"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="177,259,352,285"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_icgraph" id="recursive_hierarch_search_8hpp_a50a5034e0f6e6d95d8d2a73f68c88668_icgraph">
<area shape="rect" title=" " alt="" coords="435,81,559,108"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a9dc59b558637380f682fc73799d91012" title=" " alt="" coords="251,5,370,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#a6ea9968349d2f118e5a10ac6ac3acb72" title=" " alt="" coords="235,56,387,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae62f4ee8f8889d1dd6ad45a8ec04cdc3" title=" " alt="" coords="245,107,376,133"/>
<area shape="rect" href="create_system_consts_8hpp.html#a75e7bf913eb2009732091592cacf2f94" title=" " alt="" coords="243,157,379,184"/>
<area shape="rect" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a" title=" " alt="" coords="7,5,185,32"/>
<area shape="rect" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5" title=" " alt="" coords="13,56,179,83"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="5,107,187,133"/>
<area shape="rect" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece" title=" " alt="" coords="21,157,171,184"/>
</map>
</div>

</div>
</div>
<a id="ae62f4ee8f8889d1dd6ad45a8ec04cdc3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae62f4ee8f8889d1dd6ad45a8ec04cdc3">&#9670;&nbsp;</a></span>visitSWVariables()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void visitSWVariables </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>ident</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_cgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_cgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_cgraph" id="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_cgraph">
<area shape="rect" title=" " alt="" coords="5,132,136,159"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="389,5,498,32"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a84e7a8d5a78c4f9d483ce3bf66b186ea" title=" " alt="" coords="395,56,491,83"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="385,208,501,235"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#ae80795e0e8b8d7169f267438db1baa6b" title=" " alt="" coords="402,259,485,285"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a50a5034e0f6e6d95d8d2a73f68c88668" title=" " alt="" coords="184,132,308,159"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a7698b98c647502bfaa8d3f5f980a4db6" title=" " alt="" coords="389,107,498,133"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="356,157,531,184"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_icgraph.png" border="0" usemap="#recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_icgraph" alt=""/></div>
<map name="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_icgraph" id="recursive_hierarch_search_8hpp_ae62f4ee8f8889d1dd6ad45a8ec04cdc3_icgraph">
<area shape="rect" title=" " alt="" coords="235,5,365,32"/>
<area shape="rect" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688" title=" " alt="" coords="5,5,187,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="recursive_hierarch_search_8hpp.html">recursiveHierarchSearch.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
